Identificaron un error en Linux 5.19.12 que podría dañar las pantallas de portátiles con GPU Intel

controlador intel daña pantalla en Linux 5.19.12

Usuarios que ejecutan Linux Kernel 5.19.12 describen «parpadeo blanco» en sus pantallas.

Hace poco se dio a conocer información de que se identificó un error crítico en el conjunto de arreglos para el controlador del kernel de Linux 5.19, referente al código de los gráficos i915 incluido en esta versión.

Y es que el problema solo afecta a las computadoras portátiles con gráficos Intel que usan el controlador i915 y de las cuales ya se ha reportado el error en algunas computadoras portátiles Lenovo, Dell, Thinkpad y Framework.

Se ha informado por varios usuarios a través de un puñado de distribuciones que
parece haber una regresión en la computadora portátil Framework (que presumiblemente es
no tan especial en términos de mobo y pantalla)

Se menciona que el error se manifiesta como un intenso destello blanco brillante en la pantalla inmediatamente después de cargar el controlador i915, que los usuarios afectados comparan con los efectos de iluminación «en las fiestas rave de los 90».

El parpadeo observado se debe a retrasos incorrectos en el encendido de la pantalla LCD que, si se expone durante mucho tiempo, puede provocar daños físicos en el panel LCD.

Algunos usuarios informaron que el parpadeo no desaparecía después de reiniciar o después de cambiar a herramientas de nivel básico como BIOS o GRUB. Algunos lograron cambiar sus versiones de kernel conectándose a un monitor externo y vieron que el parpadeo se desvanecía gradualmente con el tiempo.

Pero la secuencia de alimentación del panel (es decir, la sincronización de la pantalla) que no funciona bien puede dañar las pantallas de forma permanente, especialmente las LCD integradas en las computadoras portátiles.

Adicional a ello, es importante mencionar que todas las computadoras portátiles Nvidia Optimus y posiblemente algunas computadoras portátiles combinadas con Intel-Radeon podrían enfrentar este problema porque siempre dejan que la iGPU controle la pantalla, incluso cuando la GPU dedicada está procesando los gráficos. Su computadora portátil podría estar segura si puede desactivar el modo Optimus.

«Después de mirar algunos registros, terminamos con retrasos en la secuenciación de energía del panel potencialmente falsos, lo que puede dañar el panel LCD», escribió el ingeniero de Intel Ville Syrjälä en una discusión sobre el tema . «Recomiendo la reversión inmediata de este material y una nueva versión estable lo antes posible. Además, una recomendación de que nadie que use computadoras portátiles con GPU Intel ejecute 5.19.12».

Es por ello que se hace la especial recomendación a los usuarios de estos portátiles que estén sobre esta versión del Kernel, que si es imposible seleccionar otro kernel en el gestor de arranque, lo hagan con la finalidad de poder bloquear temporalmente el problema, ademas de que se recomienda especificar el parámetro del kernel «module_blacklist=i915» durante el arranque para iniciar sesión y actualizar el paquete del kernel o retroceder al kernel anterior.

El error está relacionado con un cambio en la lógica de análisis VBT (Video BIOS Tables), que se agregó solo en la versión del kernel 5.19.12, todas las versiones anteriores o posteriores, incluidas 5.19.11, 5.19.13 y 6.0.0, son no afectado por el problema.

El Kernel 5.19.12 se formó el 28 de septiembre y el lanzamiento del parche 5.19.13 se publicó el 4 de octubre. De las principales distribuciones, el kernel 5.19.12 logró ser entregado a los usuarios en Fedora Linux, Gentoo y Arch Linux. Mientras que las versiones estables de Debian, Ubuntu, SUSE y RHEL vienen con ramas de kernel más antiguas.

Greg Kroah-Hartman, el principal mantenedor de la rama estable, lanzó la versión 5.19.13 del kernel el martes, resolviendo el problema y brindando a las distribuciones de Linux un «trampolín seguro para rebotar».

«Este lanzamiento es para resolver una regresión en algunos sistemas de gráficos Intel que tenían problemas con 5.19.12. Si no tiene este problema con 5.19.12, no hay necesidad de actualizar», se lee en el anuncio de lanzamiento.

Ademas, los desarrolladores de Manjaro, ya ha anunciado que pasarán de 5.19.7 directamente a 5.19.13, evitando introducir riesgos a los usuarios de portátiles con GPU Intel. Sin embargo, dada la demora en impulsar las actualizaciones del kernel de Linux en muchas otras distribuciones, la versión con errores podría aterrizar en algunas de ellas más adelante.

Fuente: https://lore.kernel.org


El contenido del artículo se adhiere a nuestros principios de ética editorial. Para notificar un error pincha aquí.

2 comentarios, deja el tuyo

Deja tu comentario

Tu dirección de correo electrónico no será publicada.

*

*

  1. Responsable de los datos: AB Internet Networks 2008 SL
  2. Finalidad de los datos: Controlar el SPAM, gestión de comentarios.
  3. Legitimación: Tu consentimiento
  4. Comunicación de los datos: No se comunicarán los datos a terceros salvo por obligación legal.
  5. Almacenamiento de los datos: Base de datos alojada en Occentus Networks (UE)
  6. Derechos: En cualquier momento puedes limitar, recuperar y borrar tu información.

  1.   Rolling dijo

    Ese es el problema de las rolling, si vas con un kernel lts no te pasan esas cosas.

  2.   ignacio julian dijo

    el problema puede incidir en un minipc intel te lo pregunto ultimamente m hace cosas raras el debian 11 gnome para apagar tengo k accionarle i no se apaga a la quinta intento el encendido tambien pasa